from .base import IParser

class CustomParser(IParser):
    def parse(self, data: bytes) -> dict:
        # 示例：自定义协议，假设用逗号分隔key:value
        text = data.decode("utf-8")
        result = {}
        for item in text.split(","):
            if ":" in item:
                k, v = item.split(":", 1)
                result[k.strip()] = v.strip()
        return result 