import xml.etree.ElementTree as ET
from .base import IParser

class XmlParser(IParser):
    def parse(self, data: bytes) -> dict:
        root = ET.fromstring(data.decode("utf-8"))
        return {child.tag: child.text for child in root} 